// drView.h : interface of the CDrView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_DRVIEW_H__9657E7FD_DBE7_11D1_A07D_000000000000__INCLUDED_)
#define AFX_DRVIEW_H__9657E7FD_DBE7_11D1_A07D_000000000000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CDrView : public CView
{
protected: // create from serialization only
	CDrView();
	DECLARE_DYNCREATE(CDrView)

// Attributes
public:
	CDrDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDrView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	bool MouseDown;	// MG: Added with ClassView
	virtual ~CDrView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CDrView)
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
		// MG: The 3 functions above were added with ClassWizard
};

#ifndef _DEBUG  // debug version in drView.cpp
inline CDrDoc* CDrView::GetDocument()
   { return (CDrDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DRVIEW_H__9657E7FD_DBE7_11D1_A07D_000000000000__INCLUDED_)
